Skip to content

Get export settings

GET
/merchants/{merchantCode}/exportSettings
curl --request GET \
--url https://catalog.shopgate.io/v1/merchants/example/exportSettings

Returns a list of export settings

merchantCode
required
string
catalogCode
string
<= 255 characters

Returns value for a given catalog code and setting key.

Media typeapplication/json
object
exportSettings
object
googleLocalInventory
object
username
string
password
string
productIdentifier
string
Allowed values: productCode ean sku upc
productExport
object
status
string
Allowed values: active inactive
timeType
string
Allowed values: cron time
timeValue
string
cronPattern
string
productLinkTemplate
string
inventoryExport
object
status
string
Allowed values: active inactive
timeType
string
Allowed values: cron time
timeValue
string
cronPattern
string
productLinkTemplate
string
maxExportQuantity
integer | null
pickupLinkSubfeed
object
status
string
Allowed values: active inactive
timeType
string
Allowed values: cron time
timeValue
string
cronPattern
string
pickupLinkTemplate
string
mobilePickupLinkTemplate
string
pickupSLA
string
Allowed values: same day next day
Example
{
"exportSettings": {
"googleLocalInventory": {
"inventoryExport": {
"cronPattern": "00 12 * * *",
"status": "active",
"timeType": "time",
"timeValue": "12:00",
"maxExportQuantity": 5
},
"password": "sftp-pass",
"pickupLinkSubfeed": {
"cronPattern": "00 12 * * *",
"mobilePickupLinkTemplate": "https://shop.curbside.shopgate.com/item/{{bin2hex product.code}}",
"pickupLinkTemplate": "{{product.deeplinkUrl}}?store={store_code}",
"pickupSLA": "same day",
"status": "active",
"timeType": "time",
"timeValue": "12:00"
},
"productExport": {
"cronPattern": "4 5 * * *",
"status": "active",
"timeType": "cron",
"timeValue": "4 5 * * *"
},
"username": "sftp-user"
}
}
}

Validation error

Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName

The parameter-field, that failed to validate, like “userId”

string
paramValue

The value, that was sent, like “xxx”

null | string | number | array | object
code

Machine readable error code

string
Allowed values: SCHEMA_VALIDATION_FAILED VALIDATION_FAILED ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_TYPE UNKNOWN_FORMAT PATTERN
message
required

Human readable error code

string
results
object
errors
Array<object>
object
code

Machine readable error code

string
Allowed values: ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT INVALID_CREDENTIALS INVALID_TYPE UNKNOWN_FORMAT PATTERN
message

Human readable error code

string
description
string
path
Array<string>
warnings
array
Example
{
"error": {
"code": "SCHEMA_VALIDATION_FAILED",
"results": {
"errors": [
{
"code": "MAX_LENGTH",
"message": "Name too long",
"description": "Property Name is too long",
"path": [
"name"
]
}
]
}
}
}

Merchant not found

Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{
"code": "NotFound",
"message": "Merchant not found"
}